# sc::SlaterXFunctional Class Reference

Implements the Slater exchange functional. More...

`#include <functional.h>`

Inheritance diagram for sc::SlaterXFunctional:

List of all members.

## Public Member Functions

| SlaterXFunctional (const Ref< KeyVal > &)
| SlaterXFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | point (const PointInputData &, PointOutputData &)

## Detailed Description

Implements the Slater exchange functional.

## Member Function Documentation

void sc::SlaterXFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h